#!/usr/bin/env newlisp

(print "Content-type: text/html\r\n\r\n")

(println 
[text]
<html>
<head>
<style type="text/css" media="screen">
<!--
table {
    border-width: 0px;
    background-color: #fff;
}

td {
  font-family: verdana,arial,helvetica,sans-serif;
  font-size: 12px;
}
-->
</style>
</head>
<body>
[/text])

(set 'steps '(0 3 6 9 12 15))
(for (i 0 5)
  (for (j 0 5)
    (for (k 0 5)
        (push (format "#%x%x%x" (steps i) (steps j) (steps k)) 
              numbers))))

(set 'colors (array 36 6 (reverse numbers)))

(println {<br><blockquote><table border=0 cellpadding=0 cellspacing=0>})
(for (i 0 35)
    (print {<tr>})
    (for (j 0 5)
        (set 'color (colors i j))
        (println {<td style="background-color:} color 
                 {">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td><td>} 
                 color {&nbsp;&nbsp;&nbsp;&nbsp;</td>}))
    (println {<tr>}))

(println "</table></blockquote>")

(println {</body></html>})

 ;; eof ;;
